Name:           perl-Exporter-Lite
Version:        0.02
Release:        1%{?dist}
Summary:        Lightweight exporting of variables
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Exporter-Lite/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/Exporter-Lite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n Exporter-Lite-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/Exporter
%{_mandir}/man3/*.3*


%changelog
* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.02-1
- bump to 0.02

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.01-3
- bump for fc6

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.01-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.01-1
- Initial package for Fedora Extras
